# Get exchange currencies

Returns receive (crypto) and spend (fiat) currencies available for exchange. Requires merchant authentication (x-api-key, x-client-id).

Endpoint: GET /exchange/currencies
Version: 1.0.0

## Header parameters:

  - `x-api-key` (string, required)
    Your merchant API key (must be kept secure, never expose in client-side code)
    Example: "your-api-key"

  - `x-client-id` (string, required)
    Your merchant client identifier (must be kept secure, never expose in client-side code)
    Example: "your-client-id"

## Query parameters:

  - `operationType` (string, required)
    Operation type (e.g. S = Sell, B = Buy, FF = Fiat to Fiat, CC = Crypto to Crypto)
    Example: "S"

  - `countryCode` (string, required)
    ISO country code (e.g. US, CA)
    Example: "US"

## Response 200 fields (application/json):

  - `success` (boolean)
    Example: true

  - `code` (string)
    Example: "ok"

  - `data` (object)
    Receive and spend currencies for exchange

  - `data.receiveCurrencies` (array)
    Cryptocurrencies that can be received

  - `data.receiveCurrencies.id` (integer)
    Currency identifier
    Example: 1

  - `data.receiveCurrencies.code` (string)
    Currency code (e.g. USDT, USD)
    Example: "USDT"

  - `data.receiveCurrencies.description` (string)
    Full description of the currency
    Example: "Tether (Omni)"

  - `data.receiveCurrencies.shortName` (string,null)
    Short display name (null for crypto)

  - `data.receiveCurrencies.symbol` (string)
    Currency symbol
    Example: "USDT"

  - `data.receiveCurrencies.type` (string)
    Currency type (C = Crypto, F = Fiat)
    Example: "C"

  - `data.receiveCurrencies.reference` (string,null)
    Unique reference key for the currency. Can be used as the value for targetCurrency or baseCurrency in the SDK initialization.
    Example: "tether-omni-coinpayments"

  - `data.spendCurrencies` (array)
    Fiat (or spend) currencies

  - `data.spendCurrencies.id` (integer)
    Currency identifier
    Example: 1

  - `data.spendCurrencies.code` (string)
    Currency code (e.g. USDT, USD)
    Example: "USDT"

  - `data.spendCurrencies.description` (string)
    Full description of the currency
    Example: "Tether (Omni)"

  - `data.spendCurrencies.shortName` (string,null)
    Short display name (null for crypto)

  - `data.spendCurrencies.symbol` (string)
    Currency symbol
    Example: "USDT"

  - `data.spendCurrencies.type` (string)
    Currency type (C = Crypto, F = Fiat)
    Example: "C"

  - `data.spendCurrencies.reference` (string,null)
    Unique reference key for the currency. Can be used as the value for targetCurrency or baseCurrency in the SDK initialization.
    Example: "tether-omni-coinpayments"

## Response 400 fields (application/json):

  - `code` (string)
    Error code
    Example: "INVALID_INPUT"

  - `message` (string)
    Error message
    Example: "Invalid JSON in request body"

## Response 401 fields (application/json):

  - `code` (string)
    Error code
    Example: "INVALID_INPUT"

  - `message` (string)
    Error message
    Example: "Invalid JSON in request body"

## Response 500 fields (application/json):

  - `code` (string)
    Error code
    Example: "INVALID_INPUT"

  - `message` (string)
    Error message
    Example: "Invalid JSON in request body"


